Subject: RE: bug#7533: 24.0.50; `dired-mark-pop-up': delete frame afterwards if `pop-up-frames' [PATCH]

From: "Drew Adams" <[email-masked]>
Date: Sun, 27 May 2012 07:33:39 -0700

Thanks for the explanation (snipped).

>  > Attached is a patch against the latest source code.  AFAIK 
>  > it DTRT.  Can anyone point to a reasonable situation where
>  > it does not DTRT - IOW, where what it does is inappropriate?
>  > If not, can this please be installed for Emacs 24.1, to
>  > eliminate this regression?  Thx.
> 
> Your new patch is better since it moves the frame deletion out of the
> scope of the window excursion.  It's still not OK when a window on
> another frame gets reused but I think that use case can be ignored at
> the moment (it's neither provided by any of the stock buffer display
> functions nor is it handled by the present code anyway).

Great.  I hope someone will please install it (for 24.1?), while we look for
something even better.  Thx.